<?php



class NviaticoMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.NviaticoMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('NVIATICO');
		$tMap->setPhpName('Nviatico');

		$tMap->setUseIdGenerator(false);

		$tMap->addPrimaryKey('ID', 'Id', 'double', CreoleTypes::NUMERIC, true, 22);

		$tMap->addColumn('VIATICOA', 'Viaticoa', 'double', CreoleTypes::NUMERIC, false, 22);

		$tMap->addColumn('VIATICOB', 'Viaticob', 'double', CreoleTypes::NUMERIC, false, 22);

		$tMap->addColumn('TIPO_TARIFA', 'TipoTarifa', 'double', CreoleTypes::NUMERIC, false, 22);

		$tMap->addColumn('RANGO1', 'Rango1', 'double', CreoleTypes::NUMERIC, false, 22);

		$tMap->addColumn('RANGO2', 'Rango2', 'double', CreoleTypes::NUMERIC, false, 22);

		$tMap->addColumn('ESTADO', 'Estado', 'double', CreoleTypes::NUMERIC, false, 22);

	} 
} 